<div
  class="
    {{if @choice.selected "multiple-choice--selected"}}
    {{if this.shouldAnimate "multiple-choice--animated"}}
  "
  {{on "click" (fn this.optionChanged @choice.value)}}
  role="button"
  data-test-option="option-{{@index}}"
  ...attributes
>

  <Questionnaire::Option::Key
    @index={{@index}}
    @onSelected={{fn this.optionChanged @choice.value}}
  />

  <div class="multiple-choice__label">{{@choice.label}}</div>
</div>
